List Google Calendar events in a time range as the calling member
curl --request GET \
--url http://api.den.local/v1/capabilities/google-workspace/calendar-eventsimport requests
url = "http://api.den.local/v1/capabilities/google-workspace/calendar-events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://api.den.local/v1/capabilities/google-workspace/calendar-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"events": [
{
"id": "<string>",
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": "<string>",
"end": "<string>",
"status": "<string>",
"htmlLink": "<string>",
"attendees": [
"<string>"
],
"meetLink": "<string>"
}
]
}{
"error": "unauthorized"
}{
"error": "needs_connection",
"message": "<string>"
}{
"error": "google_api_error",
"message": "<string>"
}Capability Sources
List Google Calendar events in a time range as the calling member
Lists primary-calendar events for the calling member in a requested ISO time range, using their connected Google Workspace account.
GET
/
v1
/
capabilities
/
google-workspace
/
calendar-events
List Google Calendar events in a time range as the calling member
Query Parameters
Inclusive lower bound for event start time. RFC 3339 date-time with a UTC offset or Z, e.g. 2026-09-03T00:00:00+02:00 or 2026-09-02T22:00:00Z.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Exclusive upper bound for event start time. RFC 3339 date-time with a UTC offset or Z, e.g. 2026-09-04T00:00:00+02:00 or 2026-09-03T22:00:00Z.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Maximum events to return, capped at 100.
Required range:
1 <= x <= 100Was this page helpful?